/* $Id: cpl_array_impl.h,v 1.4 2007/07/10 09:55:42 cizzo Exp $
 *
 * This file is part of the ESO Common Pipeline Library
 * Copyright (C) 2001-2005 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: cizzo $
 * $Date: 2007/07/10 09:55:42 $
 * $Revision: 1.4 $
 * $Name:  $
 */

#ifndef CPL_ARRAY_IMPL_H
#define CPL_ARRAY_IMPL_H

#include "cpl_column.h"
#include "cpl_array.h"
 
CPL_BEGIN_DECLS

cpl_column *cpl_array_get_column(cpl_array *);
const cpl_column *cpl_array_get_column_const(const cpl_array *);
cpl_error_code cpl_array_set_column(cpl_array *, const cpl_column *);

CPL_END_DECLS

#endif
/* end of cpl_array_impl.h */
